# Contributing to ACS AEM Commons

Here are some of the ways you can contribute to ACS AEM Commons:

* Contribute new code: services, components, front end code, whatever…
* File bug reports.
* Fix bugs.
* Develop ideas for new features and file them.
* Participate in code reviews.

## How to Contribute Code

New code contributions should be primarily made using GitHub pull requests. This involves you creating a personal fork of the project, adding your new code to a branch in your fork, and then triggering a pull request using the GitHub web UI (it's easier than it sounds). A pull request is both a technical process (to get the code from your branch into the main repository) and a framework for performing code reviews.

Bug fixes and minor updates should just be made in the shared repository itself. Of course, you can create a pull request for these types of changes, but doing a pull request just to fix a typo in JavaDoc is a bit heavyweight.

There's a good guide to performing pull requests at [https://help.github.com/articles/using-pull-requests](https://help.github.com/articles/using-pull-requests). In the terms used in that article, we use both the **Fork & Pull** and the **Shared Repository Model**.

### Before Contributing Code

* Run Maven build with -Panalysis to run the static analysis checks.
* Ensure license is applied correctly by running `mvn license:update-file-header`
* More stuff TBD

## Participating in Code Reviews

Even if you don't have time to contribute code, reviewing code contributed by other people is an option. To do this, go to [https://github.com/Adobe-Consulting-Services/acs-aem-commons/pulls](https://github.com/Adobe-Consulting-Services/acs-aem-commons/pulls) to see the open pull requests.

