# ACS AEM Commons

[![Build Status](https://travis-ci.org/Adobe-Consulting-Services/acs-aem-commons.png)](https://travis-ci.org/Adobe-Consulting-Services/acs-aem-commons])


This project is a unified collection of AEM/CQ code generated by the AEM consulting practice.

## Building

This project uses Maven for building. Common commands:

From the root directory, run ``mvn -PautoInstallPackage clean install`` to build the bundle and content package and install to a CQ instance.

From the bundle directory, run ``mvn -PautoInstallBundle clean install`` to build *just* the bundle and install to a CQ instance.

## Using with VLT

To use vlt with this project, first build and install the package to your local CQ instance as described above. Then cd to `content/src/main/content/jcr_root` and run

    vlt --credentials admin:admin checkout -f ../META-INF/vault/filter.xml --force http://localhost:4502/crx

Once the working copy is created, you can use the normal ``vlt up`` and ``vlt ci`` commands.

## Specifying CRX Host/Port

The CRX host and port can be specified on the command line with:
mvn -Dcrx.host=otherhost -Dcrx.port=5502 <goals>

## Distribution

Watch this space.

## Rules

* Spaces, not tabs.
* Provide documentation in the gh-pages branch.
* Target AEM 5.6. If it works on 5.5, super. But don't go out of your way.
* API classes and interfaces must have JavaDocs. Not necessary for implementation classes.
* Don't use author tags. This is a community project.

## Want commit rights?

* Create an issue.
